cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/twitter-niches-insight \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/twitter-niches-insight"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/twitter-niches-insight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lastUpdate": "16-09-2025",
"niches": [
{
"rank": 1,
"niche": "Personal Finance",
"estAvgCPM": 10,
"lowAvgCPM": 8,
"highAvgCPM": 12,
"currencyCPM": "USD"
},
{
"rank": 2,
"niche": "Crypto",
"estAvgCPM": 10,
"lowAvgCPM": 8,
"highAvgCPM": 12,
"currencyCPM": "USD"
},
{
"rank": 3,
"niche": "Tech / SaaS B2B",
"estAvgCPM": 6.5,
"lowAvgCPM": 5,
"highAvgCPM": 8,
"currencyCPM": "USD"
},
{
"rank": 4,
"niche": "Gaming / Comedy",
"estAvgCPM": 4,
"lowAvgCPM": 3,
"highAvgCPM": 5,
"currencyCPM": "USD"
},
{
"rank": 5,
"niche": "Lifestyle / Culture",
"estAvgCPM": 4,
"lowAvgCPM": 3,
"highAvgCPM": 5,
"currencyCPM": "USD"
}
]
}
Data
Niche Insights
Get Twitter Niche Revenue Insights 💲
GET
/
wf
/
twitter-niches-insight
cURL
{
"lastUpdate": "16-09-2025",
"niches": [
{
"rank": 1,
"niche": "Personal Finance",
"estAvgCPM": 10,
"lowAvgCPM": 8,
"highAvgCPM": 12,
"currencyCPM": "USD"
},
{
"rank": 2,
"niche": "Crypto",
"estAvgCPM": 10,
"lowAvgCPM": 8,
"highAvgCPM": 12,
"currencyCPM": "USD"
},
{
"rank": 3,
"niche": "Tech / SaaS B2B",
"estAvgCPM": 6.5,
"lowAvgCPM": 5,
"highAvgCPM": 8,
"currencyCPM": "USD"
},
{
"rank": 4,
"niche": "Gaming / Comedy",
"estAvgCPM": 4,
"lowAvgCPM": 3,
"highAvgCPM": 5,
"currencyCPM": "USD"
},
{
"rank": 5,
"niche": "Lifestyle / Culture",
"estAvgCPM": 4,
"lowAvgCPM": 3,
"highAvgCPM": 5,
"currencyCPM": "USD"
}
]
}
⌘I